Package opennlp.uima.namefind

# Class NameFinder

java.lang.Object
org.apache.uima.analysis_component.AnalysisComponent_ImplBase
org.apache.uima.analysis_component.Annotator_ImplBase
org.apache.uima.analysis_component.CasAnnotator_ImplBase
opennlp.uima.namefind.NameFinder

All Implemented Interfaces:
  `org.apache.uima.analysis_component.AnalysisComponent`

public final class NameFinder extends org.apache.uima.analysis_component.CasAnnotator_ImplBase
An OpenNLP-based Name annotator.

Mandatory parameters:

Type | Name | Description
--- | --- | ---
String | `opennlp.uima.ModelName` | The name of the model file
String | `opennlp.uima.SentenceType` | The full name of the sentence type
String | `opennlp.uima.TokenType` | The full name of the token type
String | `opennlp.uima.NameType` | The full name of the name type

Optional parameters:

Type | Name | Description
--- | --- | ---
String | `opennlp.uima.ProbabilityFeature` | The name of the double probability feature (not set by default)
Integer | `opennlp.uima.BeamSize`
String | `opennlp.uima.DocumentConfidenceType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME_TYPE_MAP_PARAMETER`
  `static final String`
  `NAME_TYPE_PARAMETER`
  `static final String`
  `TOKEN_CLASS_FEATURE_NEXT_WINDOW_SIZE_PARAMETER`
  `static final String`
  `TOKEN_CLASS_FEATURE_PARAMETER`
  `static final String`
  `TOKEN_CLASS_FEATURE_PREV_WINDOW_SIZE_PARAMETER`
  `static final String`
  `TOKEN_FEATURE_NEXT_WINDOW_SIZE_PARAMETER`
  `static final String`
  `TOKEN_FEATURE_PARAMETER`
  `static final String`
  `TOKEN_FEATURE_PREV_WINDOW_SIZE_PARAMETER`
  `static final String`
  `TOKEN_PATTERN_OPTIMIZATION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NameFinder()`
  Initializes a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Releases allocated resources.
  `void`
  `initialize()`
  Initializes the current instance with the given context.
  `final void`
  `initialize(org.apache.uima.UimaContext context)`
  `final void`
  `process(org.apache.uima.cas.CAS cas)`
  Performs name finding on the given `CAS` object.
  `void`
  `typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem)`
  Initializes the `type system`.

  ### Methods inherited from class org.apache.uima.analysis_component.CasAnnotator_ImplBase

  `getRequiredCasInterface, process`

  ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

  `getCasInstancesRequired, hasNext, next`

  ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

  `batchProcessComplete, collectionProcessComplete, reconfigure, setResultSpecification`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME_TYPE_PARAMETER

    public static final String NAME_TYPE_PARAMETER
    See Also:
      - Constant Field Values

  - ### NAME_TYPE_MAP_PARAMETER

    public static final String NAME_TYPE_MAP_PARAMETER
    See Also:
      - Constant Field Values

  - ### TOKEN_PATTERN_OPTIMIZATION

    public static final String TOKEN_PATTERN_OPTIMIZATION
    See Also:
      - Constant Field Values

  - ### TOKEN_FEATURE_PARAMETER

    public static final String TOKEN_FEATURE_PARAMETER
    See Also:
      - Constant Field Values

  - ### TOKEN_FEATURE_PREV_WINDOW_SIZE_PARAMETER

    public static final String TOKEN_FEATURE_PREV_WINDOW_SIZE_PARAMETER
    See Also:
      - Constant Field Values

  - ### TOKEN_FEATURE_NEXT_WINDOW_SIZE_PARAMETER

    public static final String TOKEN_FEATURE_NEXT_WINDOW_SIZE_PARAMETER
    See Also:
      - Constant Field Values

  - ### TOKEN_CLASS_FEATURE_PARAMETER

    public static final String TOKEN_CLASS_FEATURE_PARAMETER
    See Also:
      - Constant Field Values

  - ### TOKEN_CLASS_FEATURE_PREV_WINDOW_SIZE_PARAMETER

    public static final String TOKEN_CLASS_FEATURE_PREV_WINDOW_SIZE_PARAMETER
    See Also:
      - Constant Field Values

  - ### TOKEN_CLASS_FEATURE_NEXT_WINDOW_SIZE_PARAMETER

    public static final String TOKEN_CLASS_FEATURE_NEXT_WINDOW_SIZE_PARAMETER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NameFinder

    public NameFinder()
    Initializes a new instance.

    Note: Use `AnalysisComponent_ImplBase.initialize(UimaContext)` to initialize this instance. Not use the constructor.

- ## Method Details

  - ### initialize

    public void initialize() throws org.apache.uima.resource.ResourceInitializationException
    Initializes the current instance with the given context.

    Note: Do all initialization in this method, do not use the constructor.

    Throws:
      `org.apache.uima.resource.ResourceInitializationException`

  - ### typeSystemInit

    public void typeSystemInit(org.apache.uima.cas.TypeSystem typeSystem) throws org.apache.uima.analysis_engine.AnalysisEngineProcessException
    Initializes the `type system`.
    Throws:
      `org.apache.uima.analysis_engine.AnalysisEngineProcessException`

  - ### destroy

    public void destroy()
    Releases allocated resources.
    Specified by:
      `destroy` in interface `org.apache.uima.analysis_component.AnalysisComponent`
    Overrides:
      `destroy` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`

  - ### initialize

    public final void initialize(org.apache.uima.UimaContext context) throws org.apache.uima.resource.ResourceInitializationException
    Specified by:
      `initialize` in interface `org.apache.uima.analysis_component.AnalysisComponent`
    Overrides:
      `initialize` in class `org.apache.uima.analysis_component.AnalysisComponent_ImplBase`
    Throws:
      `org.apache.uima.resource.ResourceInitializationException`

  - ### process

    public final void process(org.apache.uima.cas.CAS cas)
    Performs name finding on the given `CAS` object.
    Specified by:
      `process` in class `org.apache.uima.analysis_component.CasAnnotator_ImplBase`